<script setup>
import { useRouter } from "vue-router";
const router = useRouter();
</script>

<template>
  <div id="our-thoughts" class="container">
    <div class="row justify-content-center text-center">
      <div class="col-12 col-md-10 col-lg-6">
        <h1>How we feel about <i>Scrum</i>.</h1>
        <h4>A small rant.</h4>
        <p class="fs-5 mt-5 text-muted fst-italic">
          "Scrum is an agile project management framework that helps teams
          structure and manage their work through a set of values, principles,
          and practices."
        </p>
        <div class="fs-5">
          While we, as a company, have no desire to use the scrum process, we
          feel as if not helping other developers make the most of their stolen
          time would be an injustice. Hopefully this tool helps the meeting go
          faster so everyone can leave before going insane.
        </div>
        <p class="fs-5 mt-5 text-decoration-underline">Standups</p>
        <div>
          <ul class="list-unstyled mb-5 fs-3 border border-warning rounded-4">
            <li>
              <i>What did you work on yesterday?</i>
            </li>
            <li>
              <i>What are you working on today?</i>
            </li>
            <li>
              <i>Any roadblocks?</i>
            </li>
          </ul>
        </div>
        <p class="fs-5">
          <i>Scrum Master</i>: Hey, how are you doing? Are you having a great
          morning, and your caramel oat-milk frappuccino is finally kicking in?
          Do you feel the caffeine turning into ambition for productivity? Whoa!
          You're already halfway done with a story ticket? Perfect! Let's pull
          you out of that mindset and go to this meeting every morning to ask
          you the above questions. Did I mention it's <b><u>every</u></b> day?
        </p>
        <p class="fs-5 mt-5">
          It is completely fine to ask <b><u>one</u></b> of the questions above
          daily. Even then, a developer should know when they're roadblocked and
          reach out. A developer has the knowledge and skillset to design and
          create software, much like an architect. If you need a building
          constructed, guess what can't happen if you're constantly pulling them
          away from doing their job?
        </p>
        <p class="fs-5 mt-5">
          When a team fully drinks the scrum kool-aid, everyone a part of that
          team will soon find themselves in meetings every other hour during
          their day. It feels like a micro-managing strategy set by people who
          aren't even a part of the development cycle. It takes some people a
          minimum of twenty minutes to get back into the "zone" of work. If
          there is a meeting thirty minutes after another meeting, why even get
          in the zone when you'll be taken right out of it?
        </p>
        <p class="fs-5 mt-5">
          Aside from stealing valuable time that could be spent
          <i>actually doing the work</i>, it forces everyone involved to only
          see small chunks of work. This is great for tackling the problem using
          divide and conquer, but you end up with those small pieces all stuck
          together with band-aids and tears. You're <i>technically</i> making
          progress, but the tech debt will probably bubble up at some point. I
          wouldn't want to be the developer who has to add a feature after
          product "maturity."
        </p>
        <p class="fs-5 mt-5">
          Overall, the flow of agile can be nice given the size of the project.
          For a relatively small project, or a project early in its infancy,
          getting periodic feedback from the customer is great. It allows you to
          correct your direction and not change too much. It also provides the
          customer with some feedback on what progress has been made.
        </p>
        <div class="row">
          <div class="col">
            <button class="btn btn-primary" @click="router.back(-1)">
              Back
            </button>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
